#ifndef TESTQMLSTREAMINGAPP_H
#define TESTQMLSTREAMINGAPP_H

#include <QObject>
#include <QGuiApplication>
#include <QWindow>
#include <QOpenGLContext>
#include <QtStudio3D/Q3DSSurfaceViewer>
#include <QQmlEngine>

class TestQmlStreamingApp : public QGuiApplication
{
    Q_OBJECT

public:
    TestQmlStreamingApp(int &argc, char **argv);
    ~TestQmlStreamingApp(){}
private:
    QWindow           m_window;
    QOpenGLContext    m_context;
    Q3DSSurfaceViewer m_viewer;
};

#endif
